qocgpiywhm
API Reference

Web Index Cleaner

POST
/api/v1/tools/clean_web_index

Use to extract readable text from a homepage or hub URL. Not a single-article extract (Web Content Cleaner) and not a structured link list (Link Extractor). If the requested extract has no main content, the other profile is tried once in the same request.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

const body = JSON.stringify({  "url": "https://www.python.org/",  "output_format": "text"})fetch("https://example.com/api/v1/tools/clean_web_index", {  method: "POST",  headers: {    "Content-Type": "application/json"  },  body})
{  "correlation_id": "00000000-0000-4000-8000-000000000001",  "data": {    "results": [      {        "data": {          "title": "Welcome to Python.org",          "content": "Get Started\nWhether you're new to programming or an experienced developer, it's easy to learn and use Python.\nDownload\nPython source code and installers are available for download for all versions!\nLatest: [Python 3.14.7](https://www.python.org/downloads/release/python-3147/)\nDocs\nDocumentation for Python's standard library, along with tutorials and guides, are available online.\nJobs\nLooking for work or have a Python related position that you're trying to hire for? Our relaunched community-run job board is the place to go.\nSuccess Stories\nUse Python for…\n- Web Development:\n        [Django](https://www.djangoproject.com/) ,[Pyramid](https://trypyramid.com/) ,[Bottle](https://bottlepy.org) ,[Tornado](https://www.tornadoweb.org/) ,[Flask](https://flask.palletsprojects.com/) ,[Litestar](https://litestar.dev/) ,[FastAPI](https://fastapi.tiangolo.com/)\n- GUI Development:\n        [tkInter](https://en.wikipedia.org/wiki/Tkinter) ,[PyGObject](https://pygobject.gnome.org/) ,[PyQt](https://riverbankcomputing.com/software/pyqt/intro) ,[PySide](https://wiki.qt.io/Qt_for_Python) ,[Kivy](https://kivy.org/) ,[wxPython](https://www.wxpython.org/) ,[DearPyGui](https://dearpygui.readthedocs.io/en/latest/)\n- AI and Machine Learning:\n        [PyTorch](https://pytorch.org/) ,[TensorFlow](https://www.tensorflow.org/) ,[scikit-learn](https://scikit-learn.org/) ,[Transformers](https://huggingface.co/docs/transformers/) ,[Anthropic](https://docs.anthropic.com/) ,[LangChain](https://langchain.com/)\n- Scientific and Numeric:\n        [SciPy](https://scipy.org/) ,[Pandas](https://pandas.pydata.org/) ,[IPython](https://ipython.org/)\n- Software Development:\n        [Buildbot](https://buildbot.net/) ,[Trac](https://trac.edgewall.org/) ,[Roundup](https://www.roundup-tracker.org/)\n- System Administration:\n        [Ansible](https://docs.ansible.com/) ,[Salt](https://saltproject.io/) ,[OpenStack](https://www.openstack.org/) ,[xonsh](https://xon.sh/)\n    >>> [Python Software Foundation](https://www.python.org/psf/)\nThe mission of the Python Software Foundation is to promote, protect, and advance the Python programming language, and to support and facilitate the growth of a diverse and international community of Python programmers. [Learn more](https://www.python.org/psf/)",          "word_count": 169,          "format": "text"        },        "meta": {          "url": "https://www.python.org/",          "final_url": "https://www.python.org/",          "status_code": 200,          "content_type": "text/html; charset=utf-8",          "truncated": false,          "javascript_rendered": false,          "via_proxy": false,          "retries": 0,          "extraction_profile_requested": "index",          "extraction_profile": "index",          "fallback_used": false        }      }    ]  }}